<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>LinkedStack</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LinkedStack";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../StackPackage/LinearNode.html" title="class in StackPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../StackPackage/StackADT.html" title="interface in StackPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?StackPackage/LinkedStack.html" target="_top">Frames</a></li>
<li><a href="LinkedStack.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">StackPackage</div>
<h2 title="Class LinkedStack" class="title">Class LinkedStack&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>StackPackage.LinkedStack&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;T&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">LinkedStack&lt;T&gt;</span>
extends java.lang.Object
implements <a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;T&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#count">count</a></span></code>
<div class="block">Number of elements on the stack</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#top">top</a></span></code>
<div class="block">Last Node added to the stack</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#LinkedStack--">LinkedStack</a></span>()</code>
<div class="block">Constructor for a linked stack with no nodes in it</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#LinkedStack-T-">LinkedStack</a></span>(<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;element)</code>
<div class="block">Constructor with the first element in it, so the count is already on one</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns true if this stack contains no elements.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#peek--">peek</a></span>()</code>
<div class="block">Returns a reference to the element at the top of this stack.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#pop--">pop</a></span>()</code>
<div class="block">Removes the element at the top of this stack and returns a reference to
 it.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#push-T-">push</a></span>(<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;element)</code>
<div class="block">Adds the specified element to the top of this stack, expanding the the
 count variable.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#size--">size</a></span>()</code>
<div class="block">Returns the number of elements in this stack.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#toString--">toString</a></span>()</code>
<div class="block">Returns a string representation of this stack.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="count">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>count</h4>
<pre>private&nbsp;int count</pre>
<div class="block">Number of elements on the stack</div>
</li>
</ul>
<a name="top">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>top</h4>
<pre>private&nbsp;<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a> top</pre>
<div class="block">Last Node added to the stack</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LinkedStack-java.lang.Object-">
<!--   -->
</a><a name="LinkedStack-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LinkedStack</h4>
<pre>public&nbsp;LinkedStack(<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;element)</pre>
<div class="block">Constructor with the first element in it, so the count is already on one</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - element to start the stack with</dd>
</dl>
</li>
</ul>
<a name="LinkedStack--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinkedStack</h4>
<pre>public&nbsp;LinkedStack()</pre>
<div class="block">Constructor for a linked stack with no nodes in it</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="push-java.lang.Object-">
<!--   -->
</a><a name="push-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>push</h4>
<pre>public&nbsp;void&nbsp;push(<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;element)</pre>
<div class="block">Adds the specified element to the top of this stack, expanding the the
 count variable.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#push-T-">push</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - generic element to be pushed onto stack</dd>
</dl>
</li>
</ul>
<a name="pop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pop</h4>
<pre>public&nbsp;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;pop()
      throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Removes the element at the top of this stack and returns a reference to
 it. Throws an EmptyCollectionException if the stack is empty.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#pop--">pop</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>T element removed from top of stack</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if a pop is attempted on empty stack</dd>
</dl>
</li>
</ul>
<a name="peek--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>peek</h4>
<pre>public&nbsp;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&nbsp;peek()
       throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Returns a reference to the element at the top of this stack. The element
 is not removed from the stack. Throws an EmptyCollectionException if the
 stack is empty.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#peek--">peek</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>T element on top of stack</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if a peek is attempted on empty stack</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this stack contains no elements.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#isEmpty--">isEmpty</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean whether or not this stack is empty</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<div class="block">Returns the number of elements in this stack.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#size--">size</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int number of elements in this stack</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../StackPackage/StackADT.html#toString--">StackADT</a></code></span></div>
<div class="block">Returns a string representation of this stack.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../StackPackage/StackADT.html#toString--">toString</a></code>&nbsp;in interface&nbsp;<code><a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a>&lt;<a href="../StackPackage/LinkedStack.html" title="type parameter in LinkedStack">T</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String representation of this stack</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../StackPackage/LinearNode.html" title="class in StackPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../StackPackage/StackADT.html" title="interface in StackPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?StackPackage/LinkedStack.html" target="_top">Frames</a></li>
<li><a href="LinkedStack.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
